import random
from Constants import *
App = None
Screen = None
PlayerSprite = None
Objective = None # instance of ObjectiveClass
# Dictionary mapping names to lists of animation-frames.
Images = {}
Sounds = {}

ItemEffects = {} # from item-name to condition
def ResetItemEffects():
    global ItemEffects
    ItemNames = ["A", "B", "C", "D", "E",
                 "F", "G", "H", "I", "J"]
    random.shuffle(ItemNames)
    Stuff = (Conditions.Poison, "Healing", "ExtraHealing", Conditions.Shotgun,
             Conditions.Regeneration, Conditions.Phaser, Conditions.Slow,
             Conditions.Haste, "Money", Conditions.Confusion)
    for Thingy in Stuff:
        ItemEffects[ItemNames[0]] = Thingy
        del ItemNames[0]
        if not ItemNames:
            break # More effects than items?  That's ok...
    print ItemEffects
    

class PlayerClass:
    def __init__(self):
        self.Lives = 3
        self.Score = 0
        self.Energy = 1000
        self.SectorNumber = 1
        self.QuestProgress = 0
        self.MaxSectorNumber = 1
        self.Conditions = {}
    def Reset(self):
        self.SectorNumber = 1 # starting anew
        self.Conditions = {}
        self.QuestProgress = 0
        self.Energy = 1000
        self.Lives = 3
        self.Score = 0
class Button2Rule:
    Shield = "Shield"
    Strafe = "Strafe"
    Pickup = "Pickup"
    Panic = "Panic"

class DownRule:
    ButtTorp = "Butt Torp"
    EtherBrakes = "Ether Brakes"
    Reverse = "Reverse"

class GravityRule:
    Zero = "Zero G"
    Down = "Gravity Down"
    Up = "Topsy-Turvy"
    Left = "Gravity Left"
    Right = "Gravity Right"
    
class RuleClass:
    def __init__(self):
        self.Button2 = Button2Rule.Shield # default
        self.Down = DownRule.Reverse # default
        self.Gravity = GravityRule.Zero
        

Player = PlayerClass()
Rules = RuleClass()

NullImage = None
CurrentSong = None