import PIL
import math
from PIL import ImageDraw
from PIL import Image
import os

def ShipBuild():
    XDir = []
    YDir = []
    for Index in range(32):
        #Angle = Index * 2*math.pi / 32.0
        Angle = Index * 360 / 32.0
        print Angle
        XDir.append("%.2f"%math.cos(Angle*(math.pi/180.0)+math.pi/2.0))
        YDir.append("%.2f"%math.sin(Angle*(math.pi/180.0)+math.pi/2.0))
        Bob = Image.open("Images\\work\\Ship.png")
        Bob = Bob.rotate(Angle)
        Bob.save("Images\\work\\Ship%d.png"%Index)

    print "XDir = ",XDir
    print "YDir = ",YDir

def BlackHoleSunWontYouCome():
    Bob = Image.new("RGB", (64, 64))
    Points = []
    PointCount = 12
    for PointIndex in range(PointCount):
        X = 32 + 32 * math.cos(PointIndex * math.pi * 2 / float(PointCount))
        Y = 32 + 32 * math.sin(PointIndex * math.pi * 2 / float(PointCount))
        Points.append((X, Y))
    MaxStep = 255
    for Step in range(MaxStep):
        NewPoints = []
        for PointIndex in range(len(Points)):
            (X1, Y1) = Points[PointIndex]
            NextPointIndex = (PointIndex + 1)%len(Points)
            (X2, Y2) = Points[NextPointIndex]
            NewPoints.append((X1 + (X2-X1)/10.0, Y1 + (Y2-Y1)/10.0))
        Points = NewPoints
        #print NewPoints
        for (X, Y) in Points:
            X = max(0, min(X, 63))
            Y = max(0, min(Y, 63))
            #print X, Y
            Shade = 100 + 155 * Step/float(MaxStep)
            Bob.putpixel((X, Y), (Shade, Shade, Shade))
    #####################################            
    Points = []
    PointCount = 7
    for PointIndex in range(PointCount):
        X = 32 + 32 * math.cos(PointIndex * math.pi * 2 / float(PointCount))
        Y = 32 + 32 * math.sin(PointIndex * math.pi * 2 / float(PointCount))
        Points.append((X, Y))
    
    MaxStep = 255
    for Step in range(MaxStep):
        NewPoints = []
        for PointIndex in range(len(Points)):
            (X1, Y1) = Points[PointIndex]
            NextPointIndex = (PointIndex + 1)%len(Points)
            (X2, Y2) = Points[NextPointIndex]
            NewPoints.append((X1 + (X2-X1)/20.0, Y1 + (Y2-Y1)/20.0))
        Points = NewPoints
        #print NewPoints
        for (X, Y) in Points:
            X = max(0, min(X, 63))
            Y = max(0, min(Y, 63))
            #print X, Y
            Shade = 190 + 65 * Step/float(MaxStep)
            Bob.putpixel((X, Y), (Shade, Shade/2, Shade))
    Bob.save("Images\\work\\BlackHole.png")
                 
        

def ImFallingAndICantGetUp_CanSomebodyGetMeALunchables_ILoveYouTooBrettBretterson():
    ImageCount = 0
    for Rad in range(12, 0, -1):
        print "Rad:", Rad
        Bob = Image.new("RGB", (24, 24))
        Draw = ImageDraw.Draw(Bob)
        SubRad = Rad
        Draw.ellipse((12-SubRad, 12-SubRad, 12+SubRad, 12+SubRad), None, (99, 99, 99))
        SubRad = Rad - 2
        Draw.ellipse((12-SubRad, 12-SubRad, 12+SubRad, 12+SubRad), None, (199, 199, 199))
        SubRad = Rad - 4
        Draw.ellipse((12-SubRad, 12-SubRad, 12+SubRad, 12+SubRad), None, (255, 255, 255))
        Bob.save("Images\\work\\Plummet%d.png"%ImageCount)
        ImageCount += 1

def CapsuleCorporation_Presents_DragonRadar_JustKidding_NotReally():
    for Letter in ("A", "B", "C", "D", "E", "F",
                   "G","H","I","J"):
        for Index in range(6):
            Angle = Index * math.pi / 6.0
            Bob = Image.open("Images\\work\\Item%s0.png"%Letter)
            print Angle
            Bob = Bob.rotate(Angle*180/math.pi)
            Bob.save("Images\\Item%s%d.png"%(Letter, Index))
        
        
        
#BlackHoleSunWontYouCome()
#os.system("Images\\work\\BlackHole.png")
#ImFallingAndICantGetUp_CanSomebodyGetMeALunchables_ILoveYouTooBrettBretterson()
CapsuleCorporation_Presents_DragonRadar_JustKidding_NotReally()