from Constants import *
import Global
import pygame
import math

class ObjectiveClass:
    def __init__(self):
        self.Type = None
        self.Class = None
        self.Count = None

def GetObjectiveDescription(Objective):
    if Objective.Type == ObjectiveType.SnakePit:
        return "Kill the Star Snakes!"
    if Objective.Type == ObjectiveType.KillType:
        return "Kill %s %s"%(Objective.Count, Objective.Class.ClassName)        
    if Objective.Type == ObjectiveType.Rescue:
        return "Rescue %s %s"%(Objective.Count, Objective.Class.ClassName)        
    if Objective.Type == ObjectiveType.ItemGrab:
        return "Grab %s Items"%(Objective.Count)
    if Objective.Type == ObjectiveType.BlackHoleToss:
        return "Chuck %s %s into black hole"%(Objective.Count, Objective.Class.ClassName)

def MarkDirty(Rectangles):
    Global.FilthyFilthyRectangles.extend(Rectangles)

class PointSprite:
    def __init__(self,rect):
        self.rect=rect

def CollidePointWithGroup(Position, Group):
    Bob = PointSprite(pygame.Rect(Position[0],Position[1],1,1))
    Sprite = pygame.sprite.spritecollideany(Bob, Group)
    return Sprite

def GetAngle(DX, DY):
    Distance = DX*DX + DY*DY
    if Distance == 0:
        return 0
    Cos = DX / math.sqrt(Distance)
    Angle = math.acos(Cos)
    if DY < 0:
        Angle = -1 * Angle
    return Angle
    #return int(Angle * 180/math.pi)
